Loading...
Searching...
No Matches
worker.c File Reference

GIS Library - Worker functions. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
Include dependency graph for worker.c:

Go to the source code of this file.

## Functions

void | G_begin_execute (void(*func)(void *), void *closure, void **ref, int force)
void | G_end_execute (void **ref)
void | G_init_workers (void)
void | G_finish_workers (void)

## Detailed Description

GIS Library - Worker functions.

(C) 2008-2014 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Glynn Clements

Definition in file worker.c.

## Function Documentation

## G_begin_execute()

void G_begin_execute | ( | void(* | func )(void *),
|  | void * | closure,
|  | void ** | ref,
|  | int | force )

Definition at line 171 of file worker.c.

## G_end_execute()

void G_end_execute | ( | void ** | ref | ) |

Definition at line 177 of file worker.c.

## G_finish_workers()

void G_finish_workers | ( | void |  | ) |

Definition at line 185 of file worker.c.

## G_init_workers()

void G_init_workers | ( | void |  | ) |

Definition at line 181 of file worker.c.